Package org.springframework.jmx.export.metadata

# Class InvalidMetadataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.jmx.JmxException
org.springframework.jmx.export.metadata.InvalidMetadataException

All Implemented Interfaces:
  `Serializable`

public class InvalidMetadataException extends JmxException
Thrown by the `JmxAttributeSource` when it encounters incorrect metadata on a managed resource or one of its methods.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  - `JmxAttributeSource`
  - `MetadataMBeanInfoAssembler`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidMetadataException(String msg)`
Create a new `InvalidMetadataException` with the supplied error message.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidMetadataException

public InvalidMetadataException(String msg)
Create a new `InvalidMetadataException` with the supplied error message.

Parameters:
  `msg` - the detail message